---
title: List Apps
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Magic Transit](https://developers.cloudflare.com/api/python/resources/magic_transit)

[Apps](https://developers.cloudflare.com/api/python/resources/magic_transit/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Apps

magic\_transit.apps.list(AppListParams\*\*kwargs) -> SyncSinglePage\[[AppListResponse](<https://developers.cloudflare.com/api/python/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/magic/apps

Lists Apps associated with an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

<a href="https://developers.cloudflare.com/api/python/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)">AppListResponse</a>

Collection of Hostnames and/or IP Subnets to associate with traffic decisions.

</summary>

One of the following:

<details>

<summary>

class MagicAccountApp: …

Custom app defined for an account.

</summary>

account\_app\_id: str

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames: Optional\[List\[str]]

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets: Optional\[List\[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20ip_subnets">Link to this property</a>

name: Optional\[str]

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20name">Link to this property</a>

source\_subnets: Optional\[List\[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20source_subnets">Link to this property</a>

type: Optional\[str]

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class MagicManagedApp: …

Managed app defined by Cloudflare.

</summary>

managed\_app\_id: str

Managed app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20managed_app_id">Link to this property</a>

hostnames: Optional\[List\[str]]

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets: Optional\[List\[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20ip_subnets">Link to this property</a>

name: Optional\[str]

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20name">Link to this property</a>

source\_subnets: Optional\[List\[str]]

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20source_subnets">Link to this property</a>

type: Optional\[str]

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)>)

### List Apps

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.magic_transit.apps.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
      "hostnames": [
        "auth.cloudflare.com"
      ],
      "ip_subnets": [
        "192.0.2.0/24"
      ],
      "name": "Cloudflare Dashboard",
      "source_subnets": [
        "192.0.2.0/24"
      ],
      "type": "Development"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
      "hostnames": [
        "auth.cloudflare.com"
      ],
      "ip_subnets": [
        "192.0.2.0/24"
      ],
      "name": "Cloudflare Dashboard",
      "source_subnets": [
        "192.0.2.0/24"
      ],
      "type": "Development"
    }
  ],
  "success": true
}
```